# TdApi.SearchInstalledStickerSets (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SearchInstalledStickerSets

Package it.tdlight.jni

# Class TdApi.SearchInstalledStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SearchInstalledStickerSets

Enclosing class:
  TdApi

    public static class TdApi.SearchInstalledStickerSets
    extends TdApi.Function

Searches for installed sticker sets by looking for specified query in their title and name.

Returns `StickerSets`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isMasks` | Pass true to return mask sticker sets; pass false to return ordinary sticker sets.
`int` | `limit` | The maximum number of sticker sets to return.
`String` | `query` | Query to search for.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SearchInstalledStickerSets()` | Searches for installed sticker sets by looking for specified query in their title and name.
`SearchInstalledStickerSets​(boolean isMasks, String query, int limit)` | Searches for installed sticker sets by looking for specified query in their title and name.
`SearchInstalledStickerSets​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isMasks

public boolean isMasks
Pass true to return mask sticker sets; pass false to return ordinary sticker sets.

### query

public String query
Query to search for.

### limit

public int limit
The maximum number of sticker sets to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SearchInstalledStickerSets

public SearchInstalledStickerSets()
Searches for installed sticker sets by looking for specified query in their title and name.

Returns `StickerSets`

### SearchInstalledStickerSets

public SearchInstalledStickerSets​(boolean isMasks, String query, int limit)
Searches for installed sticker sets by looking for specified query in their title and name.

Returns `StickerSets`

Parameters:
  `isMasks` - boolean Pass true to return mask sticker sets; pass false to return ordinary sticker sets.
  `query` - String Query to search for.
  `limit` - int The maximum number of sticker sets to return.

### SearchInstalledStickerSets

public SearchInstalledStickerSets​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`